package game;

public class Statistics {
    private int userScore;
    private int computerScore;
    private int ties;
    private int numberOfGames;
    
    public void increaseUserScore()  {
    	userScore++;
    }
    
    public void increaseComputerScore()  {
    	computerScore++;
    }
    
    public void increaseTies() {
    	ties++;
    }
    
    public void increaseNumberOfGames() {
    	numberOfGames++;
    }
	
	 /**
     * Prints out the statistics of the game. Calculates ties as 1/2 a win in
     * percentage won.
     */
    public void printGameStats() {
	    double percentageWon = (userScore + ((double) ties) / 2) / numberOfGames;
	
	    // Line
	    System.out.print("+");
	    printDashes(68);
	    System.out.println("+");
	
	    // Print titles
	    System.out.printf("|  %6s  |  %6s  |  %6s  |  %12s  |  %14s  |\n",
	            "WINS", "LOSSES", "TIES", "GAMES PLAYED", "PERCENTAGE WON");
	
	    // Line
	    System.out.print("|");
	    printDashes(10);
	    System.out.print("+");
	    printDashes(10);
	    System.out.print("+");
	    printDashes(10);
	    System.out.print("+");
	    printDashes(16);
	    System.out.print("+");
	    printDashes(18);
	    System.out.println("|");
	
	    // Print values
	    System.out.printf("|  %6d  |  %6d  |  %6d  |  %12d  |  %13.2f%%  |\n",
	            userScore, computerScore, ties, numberOfGames, percentageWon * 100);
	
	    // Line
	    System.out.print("+");
	    printDashes(68);
	    System.out.println("+");
    }

    private void printDashes(int numberOfDashes) {
        for (int i = 0; i < numberOfDashes; i++) {
            System.out.print("-");
        }
    }

}
